%define _menudir %{_datadir}/applications

Summary:        A picture viewer for X
Name:           xzgv
Version:        0.9.1
Release:        8%{?dist}
License:        GPLv2
Group:          Applications/Multimedia
Source0:        http://downloads.sourceforge.net/xzgv/%{name}-%{version}.tar.gz
Patch0:         xzgv-0.9-fix-thumbnail-generation.patch
Patch1:         xzgv-0.9-thumbnail-load-gcc4.patch
Patch2:         xzgv-0.9.1-dso.patch
URL:            http://xzgv.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel 
BuildRequires:  imlib-devel
BuildRequires:  texinfo
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
xzgv is a picture viewer for X, with a thumbnail-based file selector. 
It uses GTK+ and Imlib. Most file formats are supported, and the thumbnails 
are compatible with xv, zgv, and the Gimp. 

xzgv differs from other picture viewers for X in that it uses one window 
for both the file selector and viewer. It allows both scrolling 
and fit-to-window methods of viewing large pictures, and it 
doesn't ever mangle the picture's aspect ratio without you telling it to. 

It also provides extensive keyboard support. 
For using the keyboard, this is almost certainly the best viewer. 
It also doesn't skimp on the mouse stuff, either.
You can click on a picture to view it, or drag the picture around
to scroll (or use the scrollbars). 

%prep

%setup -q
%patch0 -p1 -b .fix-thumbnail-generation
%patch1 -p1 -b .thumbnail-load-gcc4
%patch2 -p1 -b .bso
%{_bindir}/iconv -f iso8859-1 -t utf8 ChangeLog -o ChangeLog.txt
touch -r ChangeLog ChangeLog.txt
mv ChangeLog.txt ChangeLog

%build
make
cd doc
make

%install
rm -rf %{buildroot}
make PREFIX=%{buildroot}%{_prefix} \
     MANDIR=%{buildroot}%{_mandir}/man1 \
     INFODIR=%{buildroot}%{_infodir} \
     install

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 src/icon-48.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.png
chmod 644 %{buildroot}%{_mandir}/man1/%{name}*

#menu entry
mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Comment=A picture viewer for X
Name=%{name}
Exec=%{name} 
Icon=%{name}
Type=Application
Terminal=0
Categories=GTK;Application;Graphics;Viewer;
EOF

desktop-file-install --vendor "" --delete-original \
  --dir %{buildroot}%{_datadir}/applications           \
  %{buildroot}%{_datadir}/applications/%{name}.desktop
 
%post
/sbin/install-info %{_infodir}/xzgv.info.gz %{_infodir}/dir || :
 
%postun
if [ "$1" = 0 ]; then
   /sbin/install-info --delete %{_infodir}/xzgv.info.gz %{_infodir}/dir || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root,0755)
%doc AUTHORS README COPYING TODO ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%exclude %{_infodir}/dir
%{_infodir}/%{name}.*
%{_menudir}/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu May 26 2010 Paulo Roma <roma@lcg.ufrj.br> 0.9.1-8
- Applied DSO patch.

* Thu May 21 2009 Paulo Roma <roma@lcg.ufrj.br> 0.9.1-7
- Updated to 0.9.1
- Touching Changelog. 

* Sun Jan 11 2009 Paulo Roma <roma@lcg.ufrj.br> 0.9-6
- Using svn version: svn co https://xzgv.svn.sourceforge.net/svnroot/xzgv xzgv
  Checked out revision 41.
- Patched for fixing thumbnails under gcc4. 
  Thanks to Hans de Goede.
- Converted Changelog to utf8.
- Changed icon.

* Mon Oct 19 2007 Paulo Roma <roma@lcg.ufrj.br> 0.9-5
- Updated 0.9

* Mon Oct 15 2007 Paulo Roma <roma@lcg.ufrj.br> 0.8-4
- Using CC=gcc and relying on forcegcc
  for chosing the appropriate compiler (gcc34 or gcc32).
  Otherwise, the thumbnails do not work well (as the build from Extras).

* Fri Jun 08 2007 Paulo R. Cavalcanti <roma@lcg.ufrj.br> 0.8-3
- Included BR compat-gcc-34

* Thu May 31 2007 Paulo R. Cavalcanti <roma@lcg.ufrj.br> 0.8-2
- Rebuilt for Fedora 6.
- Patched for avoiding that suitably-constructed images 
  run arbitrary commands (as the user) when viewed with xzgv

* Fri Sep 15 2006 Paulo R. Cavalcanti <roma@lcg.ufrj.br> 0.8-1.rh
- Rebuilt for Fedora 5.

* Thu Aug 10 2004 Paulo R. Cavalcanti <roma@lcg.ufrj.br> 0.8-1.rh
- Update to 0.8

* Thu Jan  3 2002 Aleksey Nogin <ayn2@cornell.edu> 0.7-3.rh
- Borrowed the SPEC from Mandrake
- Minor updates
- Added info files to the package

* Fri Nov 30 2001 Yves Duret <yduret@mandrakesoft.com> 0.7-2mdk
- rebuild against libpng3
- really fix doc perm aka etienne sux

* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 0.7-1mdk
- 0.7
- fix doc permissions

* Sat Jan 06 2001 David BAUDENS <baudens@mandrakesoft.com> 0.6-2mdk
- ExclusiveArch: %%ix86
- Fix group
- %%setup -q
- Fix %%postun
- Spec clean up

* Mon Nov 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- new in contribs
- add menu entry
